;    HiAsm
Global ExplorerTree, ExplorerList, UseG, UseGL, Path.s, PathLst.s

; ProcedureDLL AttachProcess(Instance)
; EndProcedure

; ProcedureDLL DetachProcess(Instance)
;    FreeGadget(ExplorerTree)
; EndProcedure

#Window = 1
#Container = 2
#ExplorerTree = 3
#ContainerLst = 4
#ExplorerList = 5

;   ExplorerTree   (   , ) 
ProcedureDLL.l CreateExplorerTree(hwnd, Width, Height)
UseG = UseGadgetList(hwnd)
ContainerGadget(#Container, 0, 0, Width, Height, #PB_Container_BorderLess)
   ExplorerTree = ExplorerTreeGadget(#ExplorerTree, 0, 0, Width, Height, "*.*", #PB_Explorer_NoFiles)
CloseGadgetList()
  SetParent_(GadgetID(#Container), hwnd)
;    ExplorerTree  
ProcedureReturn GadgetID(#ExplorerTree)
EndProcedure

;   ExplorerList  
ProcedureDLL.l CreateExplorerList(hwnd, Width, Height)
UseGL = UseGadgetList(hwnd)
ContainerGadget(#ContainerLst, 0, 0, Width, Height, #PB_Container_BorderLess)
   ExplorerList = ExplorerListGadget(#ExplorerList, 0, 0, Width, Height, "*.*", #PB_Explorer_MultiSelect)
CloseGadgetList()
  SetParent_(GadgetID(#ContainerLst), hwnd)
;    ExplorerList  
ProcedureReturn GadgetID(#ExplorerList)
EndProcedure

;      
ProcedureDLL Resize (Width, Height)
  ResizeGadget(#Container, 0, 0, Width, Height) 
  ResizeGadget(#ExplorerTree, 0, 0, Width, Height)
  ResizeGadget(#ContainerLst, 0, 0, Width, Height) 
  ResizeGadget(#ExplorerList, 0, 0, Width, Height)
EndProcedure

;    ExplorerTree
ProcedureDLL.s PathExplorerTree()
 Path = GetGadgetText(#ExplorerTree)
 ProcedureReturn Path
EndProcedure

;    ExplorerList
ProcedureDLL.s PathExplorerList()
 PathLst = GetGadgetText(#ExplorerList)
 ProcedureReturn PathLst
EndProcedure

;     ExplorerList
ProcedureDLL SetPathExplorerList(Path.s)
 SetGadgetText(#ExplorerList, Path)
EndProcedure



; IDE Options = PureBasic 4.30 (Windows - x86)
; ExecutableFormat = Shared Dll
; CursorPosition = 59
; FirstLine = 18
; Folding = --
; Executable = Gadgets.dll
; DisableDebugger